Offset more then 1 crv (Python)

Hi

I hope someone can help a Newbie

Im doing the rs.AddSrfContourCrvs and need to offset all the curves it creates. How do i do that?

/Astrid

Have you tried OffsetMultiple command?

If you want to do this in python take a look at this example:

import rhinoscriptsyntax as rs
surface = rs.GetSurfaceObject("Select a surface")[0]
startPt = rs.GetPoint("Start point")
endPt = rs.GetPoint("End point")
curves = rs.AddSrfContourCrvs(surface, [startPt, endPt], 1)
for curve in curves:
    rs.OffsetCurve(curve, [0,0,0], 1.0)

Astrid.py (280 Bytes)

thank you very much ! :pray:

When it does the offset it offsets in different direction. Is that due to the UV direction or something else?

This one let you to select offset side manually:

import rhinoscriptsyntax as rs
surface = rs.GetSurfaceObject("Select a surface")[0]
startPt = rs.GetPoint("Start point")
endPt = rs.GetPoint("End point")
offsetSide = rs.GetPoint("Offset side")
curves = rs.AddSrfContourCrvs(surface, [startPt, endPt], 1)
for curve in curves:
    rs.OffsetCurve(curve, offsetSide, 1.0)

Askj92.py (324 Bytes)